Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
campaign_optimizations
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/campaign_optimizations \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "311ee332-4594-4549-a8c4-df7f21f67751",
  "organization_id": "804daa6c-8c04-4e95-a6c6-1ad37296815b",
  "platform_integration_id": "42b25fbd-02e0-4252-a75d-3632b8d80a86",
  "analysis_id": "8b4b3b1b-0b3b-4b3b-8b3b-0b3b4b3b8b3b",
  "platform": "google_ads",
  "campaign": {
    "customer_id": "9088979976/9088979976",
    "asset_group_ids": [
      "6574388623"
    ],
    "asset_group_info": {
      "6574388623": {
        "name": "Asset Group : Test Campaign (PMAX)"
      }
    }
  },
  "name": "Google Ads Campaign Optimization",
  "language": "en",
  "promotion_type": "Product"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platform_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platform": "google_ads",
  "campaign": "<unknown>",
  "name": "<string>",
  "analysis": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "language": "ar"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required
workspace_id
string<uuid>
required

Query Parameters

format
enum<string>
Available options:
csv,
json

Body

workspace_id
string<uuid>
required
organization_id
string<uuid>
required
platform_integration_id
string<uuid>
required
analysis_id
string<uuid>
required
platform
enum<string>
required
  • google_ads - google ads
  • tiktok - tiktok
Available options:
google_ads,
tiktok
campaign
object
required
name
string
default:""
language
enum<string>
default:en
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW
promotion_type
enum<string> | null

Optimisation intent. Only used for Google Ads (PMax); ignored for other platforms. Allowed values: Product, Service, Brand. Stored as campaign.intent (lowercase).

  • Product - Product
  • Service - Service
  • Brand - Brand
Available options:
Product,
Service,
Brand,
null

Response

The created campaign optimization.

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
workspace_id
string<uuid>
required
platform_integration_id
string<uuid>
required
platform
enum<string>
required
  • google_ads - google ads
  • tiktok - tiktok
Available options:
google_ads,
tiktok
campaign
any
required
name
string
required
Maximum string length: 255
analysis
string<uuid>
required
status
enum<string>
  • pending - pending
  • in_progress - in progress
  • completed - completed
  • failed - failed
  • suggestions_applied - suggestions applied
Available options:
pending,
in_progress,
completed,
failed,
suggestions_applied
language
enum<string>
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW,